#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# phpbb.py
#
# Configuration de base de données mysql de phpbb
#
###########################################################################
"""
    Config pour phpbb
"""
from os.path import isdir
from eolesql.config import dico_creole
PHPBB_TABLEFILENAMES = ["/etc/sysconfig/eole/scribe-phpbb.sql"]

def test():
    """
        test l'existence de la table phpbb
    """
    return (dico_creole.get('scribe_envole_phpbb', 'non') == 'oui') and \
           (not isdir("/var/lib/mysql/phpbb"))

conf_dict = dict(filenames=PHPBB_TABLEFILENAMES,
                 test=test)
